# AudioKit iOS Examples

## Examples for iOS and macOS

* Audio Unit Manager - host audio units inside your application
* File Converter - converts various file types
* Microphone Analysis - frequency and amplitude information from the incoming audio stream
* MIDI Utility - Basic MIDI implementation including MIDI monitoring
* Random Clips - Demonstration of some of the new sample accurate functionality in AudioKit 4
* Recorder - Simple audio recorder

## Examples for iOS only

* Apple Sampler Demo - example of AudioKit's AKAppleSampler
* Hello Objective-C - Hello World in the Objective-C language (as opposed to Swift)
* Loopback Recording - shows how to use the AKClipRecorder
* Metronome Sampler Sync - highly accurate, sample triggering metronome
* MIDI File Edit and Sync - demonstrates how to manipulate midifiles on the fly
* Particles - Metal based audio visualizer (works on devices only, not the simulator)
* Sequencer Demo - example of AudioKit's AKAppleSequencer

### Audiobus Examples for iOS

* Audiobus MIDI Sender - demonstrates how to use MIDI with Audiobus and AudioKit
* Filter Effects - Audiobus enabled effects processor
* Sender Synth - Audiobus enabled synthesizer

## External Examples

Here are the examples of AudioKit that are not included in this repository.

* [Analog Synth X](https://github.com/AudioKit/AnalogSynthX) - polyphonic synthesizer with a very nice user interface
* [ROM Player](https://github.com/AudioKit/ROMPlayer) - EXS24, Sound Font, Wave Player
* [Particles](http://github.com/AudioKit/Particles/) - Metal based audio visualizer (works on devices only, not the simulator)
* [SamplerDemo](http://github.com/AudioKit/SamplerDemo/) - Demo of the AKSampler
* [Song Processor](http://github.com/AudioKit/SongProcessor) - adding effects to songs from the device's iTunes Library